> For the complete documentation index, see [llms.txt](https://docs.360dialog.com/partner/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.360dialog.com/partner/partner-api/api-reference/balance-and-usage.md).

# Balance & Usage

Endpoints for retrieving balance information and usage analytics

## Retrieve the balance information for a partner

> The "Get Partner Balance" endpoint is a part of our API that enables partner users to retrieve the partner balance.\
> This endpoint is particularly useful for partners who have prepaid accounts with us\
> and are responsible for making payments based on their usage of our services.\
> \
> There can be multiple balance records for a partner, if partner's balance is topped-up in different currencies.

```json
{"openapi":"3.1.0","info":{"title":"Partners V2 API","version":"2.0.0"},"tags":[{"name":"Balance & Usage","description":"Endpoints for retrieving balance information and usage analytics"}],"servers":[{"description":"Production Server","url":"https://hub.360dialog.io"}],"security":[{"PartnerApiKeyV2":[]},{"Bearer":[]}],"components":{"securitySchemes":{"PartnerApiKeyV2":{"type":"apiKey","name":"X-API-Key","in":"header","description":"API Key for V2 authentication. Send your Partner API key in the X-API-Key header. Preferred authentication method."},"Bearer":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Bearer token authentication. Token obtained via /api/v2/token endpoint."}},"schemas":{"PartnerBalanceOut":{"type":"object","properties":{"total":{"type":"number","description":"The total balance amount"},"currency":{"type":"string","description":"The balance currency"}},"additionalProperties":false},"DefaultValidationError":{"type":"object","properties":{"meta":{"allOf":[{"$ref":"#/components/schemas/MetaSchemaErrorWithDetails"}]}},"required":["meta"],"additionalProperties":false},"MetaSchemaErrorWithDetails":{"type":"object","properties":{"developer_message":{"type":"string"},"http_code":{"type":"integer"},"success":{"type":"boolean"},"360dialog_trace_id":{"type":"string","description":"Trace ID for debugging purposes"},"details":{"type":"object","description":"Additional error data","additionalProperties":{}}},"required":["developer_message","http_code","success"],"additionalProperties":false},"DefaultHttpError":{"type":"object","properties":{"meta":{"allOf":[{"$ref":"#/components/schemas/_MetaSchemaError"}]}},"required":["meta"],"additionalProperties":false},"_MetaSchemaError":{"type":"object","properties":{"developer_message":{"type":"string"},"http_code":{"type":"integer"},"success":{"type":"boolean"},"360dialog_trace_id":{"type":"string","description":"Trace ID for debugging purposes"}},"required":["developer_message","http_code","success"],"additionalProperties":false}}},"paths":{"/api/v2/partners/{partner_id}/balance":{"get":{"parameters":[{"in":"path","name":"partner_id","schema":{"type":"string"},"required":true,"description":"The partner_id path parameter"}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PartnerBalanceOut"}}}},"description":"Successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultValidationError"}}},"description":"Bad request"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultHttpError"}}},"description":"Not found"}},"tags":["Balance & Usage"],"summary":"Retrieve the balance information for a partner","description":"The \"Get Partner Balance\" endpoint is a part of our API that enables partner users to retrieve the partner balance.\nThis endpoint is particularly useful for partners who have prepaid accounts with us\nand are responsible for making payments based on their usage of our services.\n\nThere can be multiple balance records for a partner, if partner's balance is topped-up in different currencies.","operationId":"get_balance_management_docs_api_get_partner_prepaid_balance"}}}}
```

## Retrieve the balance information for a specific client

> This endpoint allows partners to retrieve the balance information for a particular client within the partner API.\
> By providing the necessary authentication data, partner ID, and client ID, along with optional filters for the starting year, month, and application ID(s), you can obtain the corresponding balance data.\
> The response will include details such as the client's balance and any associated financial information.\
> \*\*Rate limits:\*\* This endpoint is subject to rate limits. A maximum of \*\*5 requests in 30 seconds per client\*\* is allowed. Requests exceeding these limits will receive a \`429 Too Many Requests\` response.

```json
{"openapi":"3.1.0","info":{"title":"Partners V2 API","version":"2.0.0"},"tags":[{"name":"Balance & Usage","description":"Endpoints for retrieving balance information and usage analytics"}],"servers":[{"description":"Production Server","url":"https://hub.360dialog.io"}],"security":[{"PartnerApiKeyV2":[]},{"Bearer":[]}],"components":{"securitySchemes":{"PartnerApiKeyV2":{"type":"apiKey","name":"X-API-Key","in":"header","description":"API Key for V2 authentication. Send your Partner API key in the X-API-Key header. Preferred authentication method."},"Bearer":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Bearer token authentication. Token obtained via /api/v2/token endpoint."}},"schemas":{"BalanceOut":{"type":"object","properties":{"balance":{"type":"number","description":"The balance amount"},"currency":{"type":"string","description":"The balance currency"},"last_renewal":{"description":"Last time the balance was renewed","allOf":[{"$ref":"#/components/schemas/LastRenewalOut"}]},"usage":{"type":"array","description":"[Deprecated] List of monthly/daily usage and price for all types of messages","deprecated":true,"items":{"$ref":"#/components/schemas/UsageOut"}},"estimated_template_cost":{"type":"number","description":"[Deprecated]","deprecated":true},"ui_price_for_currency_and_client_country":{"type":"number","description":"[Deprecated]","deprecated":true},"bi_price_for_currency_and_client_country":{"type":"number","description":"[Deprecated]","deprecated":true},"granularity":{"type":"string","description":"The time-based aggregation level - month or day"}},"additionalProperties":false},"LastRenewalOut":{"type":"object","properties":{"date":{"type":"string","description":"Datetime of renewal"},"amount":{"type":"number","description":"Renewal amount"}},"additionalProperties":false},"UsageOut":{"type":"object","properties":{"period_date":{"type":"string","description":"Datetime of day or first day of month (depends on granularity)"},"total_price":{"type":"number","description":"Sum of all costs"},"quantity":{"type":"integer","description":"Count of all messages"},"free_quantity":{"type":"integer","description":"Count of all free messages"},"paid_quantity":{"type":"integer","description":"Count of all paid messages"},"authentication_price":{"type":"number","description":"Cost of all authentication messages"},"authentication_quantity":{"type":"integer","description":"Count of all authentication messages"},"authentication_paid_quantity":{"type":"integer","description":"Count of paid authentication messages"},"marketing_price":{"type":"number","description":"Cost of all marketing messages"},"marketing_quantity":{"type":"integer","description":"Count of all marketing messages"},"marketing_paid_quantity":{"type":"integer","description":"Count of all paid marketing messages"},"utility_price":{"type":"number","description":"Cost of all utility messages"},"utility_quantity":{"type":"integer","description":"Count of all utility messages"},"utility_paid_quantity":{"type":"integer","description":"Count of all paid utility messages"},"service_price":{"type":"number","description":"Cost of all service messages"},"service_quantity":{"type":"integer","description":"Count of all service messages"},"service_paid_quantity":{"type":"integer","description":"Count of all paid service messages"},"user_initiated_price":{"type":"number","description":"Cost of all user initiated messages","deprecated":true},"user_initiated_quantity":{"type":"integer","description":"Count of all user initiated messages","deprecated":true},"user_initiated_paid_quantity":{"type":"integer","description":"Count of all paid user initiated messages","deprecated":true},"business_initiated_price":{"type":"number","description":"Cost of all business initiated messages","deprecated":true},"business_initiated_quantity":{"type":"integer","description":"Count of all business initiated messages","deprecated":true},"business_initiated_paid_quantity":{"type":"integer","description":"Count of all paid business initiated messages","deprecated":true},"free_entry_point":{"type":"integer","description":"Count of all free entry point messages"},"free_tier":{"type":"integer","description":"Count of all free tier messages"}},"additionalProperties":false},"DefaultValidationError":{"type":"object","properties":{"meta":{"allOf":[{"$ref":"#/components/schemas/MetaSchemaErrorWithDetails"}]}},"required":["meta"],"additionalProperties":false},"MetaSchemaErrorWithDetails":{"type":"object","properties":{"developer_message":{"type":"string"},"http_code":{"type":"integer"},"success":{"type":"boolean"},"360dialog_trace_id":{"type":"string","description":"Trace ID for debugging purposes"},"details":{"type":"object","description":"Additional error data","additionalProperties":{}}},"required":["developer_message","http_code","success"],"additionalProperties":false},"DefaultHttpError":{"type":"object","properties":{"meta":{"allOf":[{"$ref":"#/components/schemas/_MetaSchemaError"}]}},"required":["meta"],"additionalProperties":false},"_MetaSchemaError":{"type":"object","properties":{"developer_message":{"type":"string"},"http_code":{"type":"integer"},"success":{"type":"boolean"},"360dialog_trace_id":{"type":"string","description":"Trace ID for debugging purposes"}},"required":["developer_message","http_code","success"],"additionalProperties":false}}},"paths":{"/api/v2/partners/{partner_id}/clients/{client_id}/info/balance":{"get":{"parameters":[{"in":"query","name":"start_date","description":"The start date in UNIX Timestamp. Returned data will be equal to or newer than the specified date.","schema":{"type":"number","format":"float","default":0,"min":"0"},"required":false},{"in":"query","name":"end_date","description":"The end date in UNIX Timestamp. Returned data will be equal to or older than the specified date.","schema":{"type":"number","format":"float","default":4102358400,"min":"0"},"required":false},{"in":"query","name":"granularity","description":"The granularity by which you would like to retrieve the analytics. Supported options: ['day', 'month]","schema":{"type":"string","default":"month","enum":["day","month"]},"required":false},{"in":"query","name":"app_ids","description":"The ID(s) of the application(s). The returned data will be filtered by the specified application ID(s). Multiple IDs can be provided, separated by commas.","schema":{"type":"string","nullable":true},"required":false},{"in":"path","name":"client_id","description":"The ID of the client.","schema":{"type":"string"},"required":true},{"in":"path","name":"partner_id","description":"The ID of the partner.","schema":{"type":"string"},"required":true}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BalanceOut"}}},"description":"Successful response","headers":{"RateLimit-Limit":{"schema":{"type":"integer"},"description":"The maximum quota units allowed in the current window (from the most critical policy).","required":true},"RateLimit-Remaining":{"schema":{"type":"integer"},"description":"The number of remaining quota units (from the most critical policy).","required":true},"RateLimit-Reset":{"schema":{"type":"integer"},"description":"The time, in seconds, until the critical rate limit resets.","required":true},"RateLimit-Policy":{"schema":{"type":"string"},"description":"A Structured Field string listing all concurrent policies enforced by the server.","required":true}}},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultValidationError"}}},"description":"Wrong payload"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultHttpError"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultHttpError"}}},"description":"Client error"}},"tags":["Balance & Usage"],"summary":"Retrieve the balance information for a specific client","description":"This endpoint allows partners to retrieve the balance information for a particular client within the partner API.\nBy providing the necessary authentication data, partner ID, and client ID, along with optional filters for the starting year, month, and application ID(s), you can obtain the corresponding balance data.\nThe response will include details such as the client's balance and any associated financial information.\n**Rate limits:** This endpoint is subject to rate limits. A maximum of **5 requests in 30 seconds per client** is allowed. Requests exceeding these limits will receive a `429 Too Many Requests` response.","operationId":"get_balance_management_docs_api_get_client_balance"}}}}
```

## Retrieve pricing and call analytics usage for a specific channel. Check Meta documentation for more details.

> This endpoint allows partners to retrieve detailed usage analytics and cost information for a specific channel within the partner API.\
> By providing valid authentication, partner ID, client ID, and channel ID, along with optional filters such as date range, country codes, pricing types, and dimensions, partners can access a breakdown of usage data.\
> \
> The response includes metrics such as message volume and cost across various pricing categories and types, organized by specified dimensions (e.g., country, pricing type).\
> \*\*Rate limits:\*\* This endpoint is subject to rate limits. A maximum of \*\*10 requests per hour per channel\*\* and \*\*200 requests per hour per WABA\*\* is allowed. Requests exceeding these limits will receive a \`429 Too Many Requests\` response.

```json
{"openapi":"3.1.0","info":{"title":"Partners V2 API","version":"2.0.0"},"tags":[{"name":"Balance & Usage","description":"Endpoints for retrieving balance information and usage analytics"}],"servers":[{"description":"Production Server","url":"https://hub.360dialog.io"}],"security":[{"PartnerApiKeyV2":[]},{"Bearer":[]}],"components":{"securitySchemes":{"PartnerApiKeyV2":{"type":"apiKey","name":"X-API-Key","in":"header","description":"API Key for V2 authentication. Send your Partner API key in the X-API-Key header. Preferred authentication method."},"Bearer":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Bearer token authentication. Token obtained via /api/v2/token endpoint."}},"schemas":{"MetaAnalyticsResponseOut":{"type":"object","properties":{"id":{"type":"string","description":"Meta's WABA ID"},"currency":{"type":"string","description":"Currency code"},"pricing_analytics":{"description":"Detailed pricing analytics data","allOf":[{"$ref":"#/components/schemas/MetaAnalytics"}]},"call_analytics":{"description":"Detailed call analytics data","allOf":[{"$ref":"#/components/schemas/MetaAnalytics"}]}},"required":["currency","id"],"additionalProperties":false},"MetaAnalytics":{"type":"object","properties":{"data":{"type":"array","description":"List of analytics items","items":{"$ref":"#/components/schemas/MetaAnalyticsItem"}}},"required":["data"],"additionalProperties":false},"MetaAnalyticsItem":{"type":"object","properties":{"data_points":{"type":"array","description":"List of pricing data points","items":{"type":"object","additionalProperties":{}}}},"required":["data_points"],"additionalProperties":false},"DefaultValidationError":{"type":"object","properties":{"meta":{"allOf":[{"$ref":"#/components/schemas/MetaSchemaErrorWithDetails"}]}},"required":["meta"],"additionalProperties":false},"MetaSchemaErrorWithDetails":{"type":"object","properties":{"developer_message":{"type":"string"},"http_code":{"type":"integer"},"success":{"type":"boolean"},"360dialog_trace_id":{"type":"string","description":"Trace ID for debugging purposes"},"details":{"type":"object","description":"Additional error data","additionalProperties":{}}},"required":["developer_message","http_code","success"],"additionalProperties":false},"DefaultHttpError":{"type":"object","properties":{"meta":{"allOf":[{"$ref":"#/components/schemas/_MetaSchemaError"}]}},"required":["meta"],"additionalProperties":false},"_MetaSchemaError":{"type":"object","properties":{"developer_message":{"type":"string"},"http_code":{"type":"integer"},"success":{"type":"boolean"},"360dialog_trace_id":{"type":"string","description":"Trace ID for debugging purposes"}},"required":["developer_message","http_code","success"],"additionalProperties":false}}},"paths":{"/api/v2/partners/{partner_id}/clients/{client_id}/channels/{channel_id}/info/usage":{"get":{"parameters":[{"in":"query","name":"start_date","description":"The start date in UNIX Timestamp. Returned data will be equal to or newer than the specified date.","schema":{"type":"integer","format":"timestamp"},"required":true},{"in":"query","name":"end_date","description":"The end date in UNIX Timestamp. Returned data will be equal to or older than the specified date.","schema":{"type":"integer","format":"timestamp"},"required":true},{"in":"query","name":"granularity","description":"The granularity by which you would like to retrieve the analytics.","schema":{"type":"string","enum":["daily","half_hour","monthly"]},"required":true},{"in":"query","name":"countries","description":"The countries for which you would like to retrieve analytics. Provide a 2 letter country codes for the countries you would like to include. If not provided, usage data will be returned for all countries you have communicated with.","schema":{"type":"array","items":{"type":"string","minLength":2,"maxLength":2}},"required":false,"explode":true,"style":"form"},{"in":"query","name":"pricing_types","description":"For pricing analytics: filter messages per pricing types list. If not present, we return results for all pricing types.","schema":{"type":"array","items":{"type":"string","enum":["free_customer_service","free_entry_point","regular"]}},"required":false,"explode":true,"style":"form"},{"in":"query","name":"pricing_categories","description":"For pricing analytics: filter messages per pricing categories list. If not present, we return results for all pricing categories.","schema":{"type":"array","items":{"type":"string","enum":["authentication","authentication_international","marketing","service","utility","marketing_lite"]}},"required":false,"explode":true,"style":"form"},{"in":"query","name":"metrics","description":"The metric types you would like to receive. If not provided, we return results for all metric types.","schema":{"type":"array","items":{"type":"string","enum":["cost","volume","count"]}},"required":false,"explode":true,"style":"form"},{"in":"query","name":"dimensions","description":"Breakdowns you would like to apply to your metrics. If not provided, we return results without any breakdowns.","schema":{"type":"array","items":{"type":"string","enum":["country","pricing_type","pricing_category","phone","tier","direction"]}},"required":false,"explode":true,"style":"form"},{"in":"query","name":"directions","description":"For call analytics: filter call per call direction. If not present, we return results for all call directions.","schema":{"type":"array","items":{"type":"string","enum":["business_initiated","user_initiated"]}},"required":false,"explode":true,"style":"form"},{"in":"path","name":"client_id","description":"The ID of the client.","schema":{"type":"string"},"required":true},{"in":"path","name":"partner_id","description":"The ID of the partner.","schema":{"type":"string"},"required":true},{"in":"path","name":"channel_id","description":"The ID of the channel.","schema":{"type":"string"},"required":true}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetaAnalyticsResponseOut"}}},"description":"Successful response","headers":{"RateLimit-Limit":{"schema":{"type":"integer"},"description":"The maximum quota units allowed in the current window (from the most critical policy).","required":true},"RateLimit-Remaining":{"schema":{"type":"integer"},"description":"The number of remaining quota units (from the most critical policy).","required":true},"RateLimit-Reset":{"schema":{"type":"integer"},"description":"The time, in seconds, until the critical rate limit resets.","required":true},"RateLimit-Policy":{"schema":{"type":"string"},"description":"A Structured Field string listing all concurrent policies enforced by the server.","required":true}}},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultValidationError"}}},"description":"Wrong payload"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultHttpError"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultHttpError"}}},"description":"Client error"}},"tags":["Balance & Usage"],"summary":"Retrieve pricing and call analytics usage for a specific channel. Check Meta documentation for more details.","description":"This endpoint allows partners to retrieve detailed usage analytics and cost information for a specific channel within the partner API.\nBy providing valid authentication, partner ID, client ID, and channel ID, along with optional filters such as date range, country codes, pricing types, and dimensions, partners can access a breakdown of usage data.\n\nThe response includes metrics such as message volume and cost across various pricing categories and types, organized by specified dimensions (e.g., country, pricing type).\n**Rate limits:** This endpoint is subject to rate limits. A maximum of **10 requests per hour per channel** and **200 requests per hour per WABA** is allowed. Requests exceeding these limits will receive a `429 Too Many Requests` response.","operationId":"get_balance_management_docs_api_get_channel_usage"}}}}
```

## Retrieve the balance information for a specific channel

> This endpoint allows partners to retrieve the balance information for a particular channel within the partner API.\
> By providing the necessary authentication data, partner ID, client ID, and channel ID, along with optional filters for the starting year, month, and application ID(s), you can obtain the corresponding balance data.\
> The response will include details such as the channel's balance and any associated financial information.

```json
{"openapi":"3.1.0","info":{"title":"Partners V2 API","version":"2.0.0"},"tags":[{"name":"Balance & Usage","description":"Endpoints for retrieving balance information and usage analytics"}],"servers":[{"description":"Production Server","url":"https://hub.360dialog.io"}],"security":[{"PartnerApiKeyV2":[]},{"Bearer":[]}],"components":{"securitySchemes":{"PartnerApiKeyV2":{"type":"apiKey","name":"X-API-Key","in":"header","description":"API Key for V2 authentication. Send your Partner API key in the X-API-Key header. Preferred authentication method."},"Bearer":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Bearer token authentication. Token obtained via /api/v2/token endpoint."}},"schemas":{"BalanceOut":{"type":"object","properties":{"balance":{"type":"number","description":"The balance amount"},"currency":{"type":"string","description":"The balance currency"},"last_renewal":{"description":"Last time the balance was renewed","allOf":[{"$ref":"#/components/schemas/LastRenewalOut"}]},"usage":{"type":"array","description":"[Deprecated] List of monthly/daily usage and price for all types of messages","deprecated":true,"items":{"$ref":"#/components/schemas/UsageOut"}},"estimated_template_cost":{"type":"number","description":"[Deprecated]","deprecated":true},"ui_price_for_currency_and_client_country":{"type":"number","description":"[Deprecated]","deprecated":true},"bi_price_for_currency_and_client_country":{"type":"number","description":"[Deprecated]","deprecated":true},"granularity":{"type":"string","description":"The time-based aggregation level - month or day"}},"additionalProperties":false},"LastRenewalOut":{"type":"object","properties":{"date":{"type":"string","description":"Datetime of renewal"},"amount":{"type":"number","description":"Renewal amount"}},"additionalProperties":false},"UsageOut":{"type":"object","properties":{"period_date":{"type":"string","description":"Datetime of day or first day of month (depends on granularity)"},"total_price":{"type":"number","description":"Sum of all costs"},"quantity":{"type":"integer","description":"Count of all messages"},"free_quantity":{"type":"integer","description":"Count of all free messages"},"paid_quantity":{"type":"integer","description":"Count of all paid messages"},"authentication_price":{"type":"number","description":"Cost of all authentication messages"},"authentication_quantity":{"type":"integer","description":"Count of all authentication messages"},"authentication_paid_quantity":{"type":"integer","description":"Count of paid authentication messages"},"marketing_price":{"type":"number","description":"Cost of all marketing messages"},"marketing_quantity":{"type":"integer","description":"Count of all marketing messages"},"marketing_paid_quantity":{"type":"integer","description":"Count of all paid marketing messages"},"utility_price":{"type":"number","description":"Cost of all utility messages"},"utility_quantity":{"type":"integer","description":"Count of all utility messages"},"utility_paid_quantity":{"type":"integer","description":"Count of all paid utility messages"},"service_price":{"type":"number","description":"Cost of all service messages"},"service_quantity":{"type":"integer","description":"Count of all service messages"},"service_paid_quantity":{"type":"integer","description":"Count of all paid service messages"},"user_initiated_price":{"type":"number","description":"Cost of all user initiated messages","deprecated":true},"user_initiated_quantity":{"type":"integer","description":"Count of all user initiated messages","deprecated":true},"user_initiated_paid_quantity":{"type":"integer","description":"Count of all paid user initiated messages","deprecated":true},"business_initiated_price":{"type":"number","description":"Cost of all business initiated messages","deprecated":true},"business_initiated_quantity":{"type":"integer","description":"Count of all business initiated messages","deprecated":true},"business_initiated_paid_quantity":{"type":"integer","description":"Count of all paid business initiated messages","deprecated":true},"free_entry_point":{"type":"integer","description":"Count of all free entry point messages"},"free_tier":{"type":"integer","description":"Count of all free tier messages"}},"additionalProperties":false},"DefaultValidationError":{"type":"object","properties":{"meta":{"allOf":[{"$ref":"#/components/schemas/MetaSchemaErrorWithDetails"}]}},"required":["meta"],"additionalProperties":false},"MetaSchemaErrorWithDetails":{"type":"object","properties":{"developer_message":{"type":"string"},"http_code":{"type":"integer"},"success":{"type":"boolean"},"360dialog_trace_id":{"type":"string","description":"Trace ID for debugging purposes"},"details":{"type":"object","description":"Additional error data","additionalProperties":{}}},"required":["developer_message","http_code","success"],"additionalProperties":false},"DefaultHttpError":{"type":"object","properties":{"meta":{"allOf":[{"$ref":"#/components/schemas/_MetaSchemaError"}]}},"required":["meta"],"additionalProperties":false},"_MetaSchemaError":{"type":"object","properties":{"developer_message":{"type":"string"},"http_code":{"type":"integer"},"success":{"type":"boolean"},"360dialog_trace_id":{"type":"string","description":"Trace ID for debugging purposes"}},"required":["developer_message","http_code","success"],"additionalProperties":false}}},"paths":{"/api/v2/partners/{partner_id}/clients/{client_id}/channels/{channel_id}/info/balance":{"get":{"parameters":[{"in":"query","name":"start_date","description":"The start date in UNIX Timestamp. Returned data will be equal to or newer than the specified date.","schema":{"type":"number","format":"float","default":0,"min":"0"},"required":false},{"in":"query","name":"end_date","description":"The end date in UNIX Timestamp. Returned data will be equal to or older than the specified date.","schema":{"type":"number","format":"float","default":4102358400,"min":"0"},"required":false},{"in":"query","name":"granularity","description":"The granularity by which you would like to retrieve the analytics. Supported options: ['day', 'month]","schema":{"type":"string","default":"month","enum":["day","month"]},"required":false},{"in":"path","name":"client_id","description":"The ID of the client.","schema":{"type":"string"},"required":true},{"in":"path","name":"partner_id","description":"The ID of the partner.","schema":{"type":"string"},"required":true},{"in":"path","name":"channel_id","description":"The ID of the channel.","schema":{"type":"string"},"required":true}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BalanceOut"}}},"description":"Successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultValidationError"}}},"description":"Wrong payload"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultHttpError"}}},"description":"Not found"}},"tags":["Balance & Usage"],"summary":"Retrieve the balance information for a specific channel","description":"This endpoint allows partners to retrieve the balance information for a particular channel within the partner API.\nBy providing the necessary authentication data, partner ID, client ID, and channel ID, along with optional filters for the starting year, month, and application ID(s), you can obtain the corresponding balance data.\nThe response will include details such as the channel's balance and any associated financial information.","operationId":"get_balance_management_docs_api_get_channel_balance"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.360dialog.com/partner/partner-api/api-reference/balance-and-usage.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
